# our main versions
%define jsMathVersion 3.6c
%define jsMathFonts 1.3
%define jsMathSpriteFonts 1.0

# installation location
%define installoc /var/www/jsMath

Summary: A Javascript Based Method of Including Mathematics in Web Pages
Name: jsMath
Version: %{jsMathVersion}
Release: 1%{?dist}
License: GPL
Group: Applications/Internet
BuildArch: noarch
Source: http://www.math.union.edu/~dpvc/jsMath/download/jsMath-%{jsMathVersion}.zip
Source1: http://www.math.union.edu/~dpvc/jsMath/download/jsMath-fonts-%{jsMathFonts}.zip
Source2: http://www.math.union.edu/~dpvc/jsMath/download/jsMath-fonts-sprite-%{jsMathSpriteFonts}.zip
Source100: bbold10.zip
Source101: cmbsy10.zip
Source102: cmmib10.zip
Source103: eufb10.zip
Source104: eufm10.zip
Source105: eurb10.zip
Source106: eurm10.zip
Source107: eusb10.zip
Source108: eusm10.zip
Source109: lasy10.zip
Source110: lasyb10.zip
Source111: msam10.zip
Source112: msbm10.zip
Source113: rsfs10.zip
Source114: stmary10.zip
Source115: wasy10.zip
Source116: wasyb10.zip
Source200: bbold10-sprite.zip
Source201: cmbsy10-sprite.zip
Source202: cmmib10-sprite.zip
Source203: eufb10-sprite.zip
Source204: eufm10-sprite.zip
Source205: eurb10-sprite.zip
Source206: eurm10-sprite.zip
Source207: eusb10-sprite.zip
Source208: eusm10-sprite.zip
Source209: lasy10-sprite.zip
Source210: lasyb10-sprite.zip
Source211: msam10-sprite.zip
Source212: msbm10-sprite.zip
Source213: rsfs10-sprite.zip
Source214: stmary10-sprite.zip
Source215: wasy10-sprite.zip
Source216: wasyb10-sprite.zip
Source1000: cmmib10_def.js
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-root
URL: http://www.math.union.edu/~dpvc/jsMath/
Requires: httpd

%description
The jsMath package provides a method of including mathematics in HTML pages
that works across multiple browsers under Windows, Macintosh OS X, Linux and
other flavors of unix. It overcomes a number of the shortcomings of the
traditional method of using images to represent mathematics: jsMath uses
native fonts, so they resize when you change the size of the text in your
browser, they print at the full resolution of your printer, and you don't
have to wait for dozens of images to be downloaded in order to see the
mathematics in a web page. There are also advantages for web-page authors,
as there is no need to preprocess your web pages to generate any images,
and the mathematics is entered in TeX form, so it is easy to create and
maintain your web pages.

Although it works best with the TeX fonts installed, jsMath will fall back
on a collection of image-based fonts (which can still be scaled or printed
at high resolution) or unicode fonts when the TeX fonts are not available.
There is a control panel connected to a small floating button that lets
the user select which fallback method to use or change some other settings
like a scaling factor to use for the mathematics compared to the other text
on the page. 

%package fonts
Summary: jsMath fonts
Group: Applications/Internet
Requires: %{name} = %{version}

%description fonts
Regular fonts for jsMath.

%package fonts-sprite
Summary: jsMath sprite fonts
Group: Applications/Internet
Requires: %{name} = %{version}

%description fonts-sprite
Sprite fonts for jsMath.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{installoc}
pushd $RPM_BUILD_ROOT/%{installoc}
# main files
unzip -q %{SOURCE0}
# normal fonts
unzip -q %{SOURCE1}
# sprite fonts
cd jsMath
unzip -q %{SOURCE2}
# normal fonts
cd fonts
for i in %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} %{SOURCE105} %{SOURCE106} %{SOURCE107} %{SOURCE108} %{SOURCE109} %{SOURCE110} %{SOURCE111} %{SOURCE112} %{SOURCE113} %{SOURCE114} %{SOURCE115} %{SOURCE116}; do
	unzip -q $i
done
ls -l cmmib10/def.js
rm -f cmmib10/def.js
cp %{SOURCE1000} cmmib10/def.js
cd ../fonts-sprite
for i in %{SOURCE200} %{SOURCE201} %{SOURCE202} %{SOURCE203} %{SOURCE204} %{SOURCE205} %{SOURCE206} %{SOURCE207} %{SOURCE208} %{SOURCE209} %{SOURCE210} %{SOURCE211} %{SOURCE212} %{SOURCE213} %{SOURCE214} %{SOURCE215} %{SOURCE216}; do
	unzip -q $i
done
cd ../..
mv jsMath/* .
rmdir jsMath
popd

# web server config file
mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
cat > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/jsMath.conf <<ENDCONF
Alias /jsMath/ "%{installoc}/"
Alias /jsmath/ "%{installoc}/"

<Directory "%{installoc}">
    Options None
    AllowOverride None
    Order allow,deny
    Allow from all
</Directory>
ENDCONF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{installoc}
%exclude %{installoc}/fonts
%exclude %{installoc}/fonts-sprite
%config(noreplace) %{_sysconfdir}/httpd/conf.d/jsMath.conf

%files fonts
%defattr(644,root,root,755)
%{installoc}/fonts

%files fonts-sprite
%defattr(644,root,root,755)
%{installoc}/fonts-sprite
